Package de.gebit.integrity.operations.standard.operands

## Class StringConcatenationNode

- java.lang.Object
- - de.gebit.integrity.operations.standard.operands.OperatorNode<String,​String>
  - - de.gebit.integrity.operations.standard.operands.StringConcatenationNode

-     public class StringConcatenationNode
      extends OperatorNode<String,​String>

  Concatenates two strings.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringConcatenationNode​(Operation anOperation, Object aLeftOperand, Object aRightOperand)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `evaluateInternal​(String aLeftOperand, String aRightOperand)` | Must be implemented by subclasses to implement the actual evaluation of this node.

    - ### Methods inherited from class de.gebit.integrity.operations.standard.operands.OperatorNode

      `evaluate, getEvaluatedLeftOperand, getEvaluatedRightOperand`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringConcatenationNode

          public StringConcatenationNode​(Operation anOperation,
                                         Object aLeftOperand,
                                         Object aRightOperand)

      Creates a new instance.
      Parameters:
        `aLeftOperand` - the left operand
        `aRightOperand` - the right operand

  - ### Method Detail

    - #### evaluateInternal

          protected Object evaluateInternal​(String aLeftOperand,
                                            String aRightOperand)

      Description copied from class: `OperatorNode`
      Must be implemented by subclasses to implement the actual evaluation of this node. It will get evaluated and converted operands and needs to return the result of the evaluation.
      Specified by:
        `evaluateInternal` in class `OperatorNode<String,​String>`
      Parameters:
        `aLeftOperand` - the evaluated left operand
        `aRightOperand` - the evaluated right operand
      Returns:
        the result of the evaluation